## LassoSaml2ConditionAbstract

LassoSaml2ConditionAbstract — <saml2:ConditionAbstract>

## Functions

LassoNode * | lasso_saml2_condition_abstract_new ()

## Types and Values

struct | LassoSaml2ConditionAbstract

## Object Hierarchy

        GObject
        ╰── LassoNode
            ╰── LassoSaml2ConditionAbstract
                ├── LassoSaml2AudienceRestriction
                ├── LassoSaml2OneTimeUse
                ╰── LassoSaml2ProxyRestriction

## Description

Figure 55. Schema fragment for saml2:ConditionAbstract

    <complexType name="ConditionAbstractType" abstract="true"/>
    <element name="AudienceRestriction" type="saml:AudienceRestrictionType"/>
    <complexType name="AudienceRestrictionType">
      <complexContent>
        <extension base="saml:ConditionAbstractType">
          <sequence>
            <element ref="saml:Audience" maxOccurs="unbounded"/>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_saml2_condition_abstract_new ()

    LassoNode *
    lasso_saml2_condition_abstract_new (void);

Creates a new LassoSaml2ConditionAbstract object.

#### Returns

a newly created LassoSaml2ConditionAbstract object

## Types and Values

### struct LassoSaml2ConditionAbstract

    struct LassoSaml2ConditionAbstract;